# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-11-07 01:47
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('wagtaildocs', '0007_merge'),
    ]

    operations = [
        migrations.CreateModel(
            name='GPSTrack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('length', models.FloatField()),
                ('uphill', models.FloatField()),
                ('downhill', models.FloatField()),
                ('elevation_min', models.FloatField()),
                ('elevation_max', models.FloatField()),
                ('moving_time', models.FloatField()),
                ('stopped_time', models.FloatField()),
                ('max_speed', models.FloatField()),
                ('gpx_document', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+',
                                                   to='wagtaildocs.Document')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GPSTrackPoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('elevation', models.FloatField()),
                ('time', models.DateTimeField(null=True)),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GPSTrackSegment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('track', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='segments',
                                            to='gps_track.GPSTrack')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='gpstrackpoint',
            name='segment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='points',
                                    to='gps_track.GPSTrackSegment'),
        ),
    ]
